import { EventEmitter } from '@angular/core';
import { Dayjs } from "dayjs";
import * as i0 from "@angular/core";
export declare class RangesComponent {
    rangesArray: Array<any>;
    chosenRange: any;
    locale: any;
    ranges: any;
    _minDate: any;
    _maxDate: any;
    rangeEvent: EventEmitter<{
        $event: MouseEvent;
        label: string;
    }>;
    clickRange($event: MouseEvent, label: string): void;
    /**
     * Find out if the selected range should be disabled if it doesn't
     * fit into minDate and maxDate limitations.
     */
    disableRange(range: any): any;
    getMinDate(): Dayjs | null | undefined;
    getMaxDate(): Dayjs | null | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RangesComponent, "ranges", never, { "rangesArray": { "alias": "rangesArray"; "required": false; }; "chosenRange": { "alias": "chosenRange"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "ranges": { "alias": "ranges"; "required": false; }; "_minDate": { "alias": "_minDate"; "required": false; }; "_maxDate": { "alias": "_maxDate"; "required": false; }; }, { "rangeEvent": "rangeEvent"; }, never, never, true, never>;
}
