import { EventEmitter } from '@angular/core';
import { SideEnum } from "../../enums/side.enum";
import * as i0 from "@angular/core";
export declare class CalendarComponent {
    protected readonly sideEnum: typeof SideEnum;
    showCalInRanges: any;
    singleDatePicker: any;
    calendarVariables: any;
    showWeekNumbers: any;
    showISOWeekNumbers: any;
    linkedCalendars: any;
    showDropdowns: any;
    locale: any;
    timePicker: any;
    startDate: any;
    timepickerVariables: any;
    timePickerSeconds: any;
    timePicker24Hour: any;
    prevEvent: EventEmitter<{
        $event: MouseEvent;
        side: SideEnum;
    }>;
    nextEvent: EventEmitter<{
        $event: MouseEvent;
        side: SideEnum;
    }>;
    monthChangedEvent: EventEmitter<{
        $event: Event;
        side: SideEnum;
    }>;
    yearChangedEvent: EventEmitter<{
        $event: Event;
        side: SideEnum;
    }>;
    dateEvent: EventEmitter<{
        $event: Event;
        side: SideEnum;
        row: number;
        col: number;
    }>;
    hoverDateEvent: EventEmitter<{
        $event: Event;
        side: SideEnum;
        row: number;
        col: number;
    }>;
    timeChangedEvent: EventEmitter<{
        $event: Event;
        side: SideEnum;
    }>;
    clickPrev($event: MouseEvent, side: SideEnum): void;
    clickNext($event: MouseEvent, side: SideEnum): void;
    monthChanged($event: Event, side: SideEnum): void;
    yearChanged($event: Event, side: SideEnum): void;
    clickDate($event: Event, side: SideEnum, row: number, col: number): void;
    hoverDate($event: Event, side: SideEnum, row: number, col: number): void;
    timeChanged($event: Event, side: SideEnum): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarComponent, "calendar", never, { "showCalInRanges": { "alias": "showCalInRanges"; "required": false; }; "singleDatePicker": { "alias": "singleDatePicker"; "required": false; }; "calendarVariables": { "alias": "calendarVariables"; "required": false; }; "showWeekNumbers": { "alias": "showWeekNumbers"; "required": false; }; "showISOWeekNumbers": { "alias": "showISOWeekNumbers"; "required": false; }; "linkedCalendars": { "alias": "linkedCalendars"; "required": false; }; "showDropdowns": { "alias": "showDropdowns"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "timePicker": { "alias": "timePicker"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "timepickerVariables": { "alias": "timepickerVariables"; "required": false; }; "timePickerSeconds": { "alias": "timePickerSeconds"; "required": false; }; "timePicker24Hour": { "alias": "timePicker24Hour"; "required": false; }; }, { "prevEvent": "prevEvent"; "nextEvent": "nextEvent"; "monthChangedEvent": "monthChangedEvent"; "yearChangedEvent": "yearChangedEvent"; "dateEvent": "dateEvent"; "hoverDateEvent": "hoverDateEvent"; "timeChangedEvent": "timeChangedEvent"; }, never, never, true, never>;
}
